%bcond_without     bootstrap

Summary:        A lil' TOML parser
Name:           python-tomli
Version:        2.0.1
Release:        4%{?dist}
License:        MIT
URL:            https://pypi.org/project/tomli/
Source0:        https://github.com/hukkin/tomli/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python3-devel, python3-flit-core, python3-pip, python3-tomli
# for tests
BuildRequires:  python3-pytest, python3-dateutil

BuildArch:      noarch

%description
Tomli is a Python library for parsing TOML.
Tomli is fully compatible with TOML v1.0.0.

%package -n python3-tomli
Summary:  A lil' TOML parser

%description -n python3-tomli
Tomli is a Python library for parsing TOML.
Tomli is fully compatible with TOML v1.0.0.



%prep
%autosetup -n tomli-%{version}



%build
%pyproject_wheel


%install
%pyproject_install


%check
python3 -c 'import tomli'
test -f %{buildroot}%{python3_sitelib}/*.dist-info/METADATA
! grep '^Requires-Dist:' %{buildroot}%{python3_sitelib}/*.dist-info/METADATA
%pytest



%files -n python3-tomli
%license LICENSE
%doc README.md
%doc CHANGELOG.md
%{python3_sitelib}/tomli/
%{python3_sitelib}/*.dist-info/



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 2.0.1-2
- remove README.md

* Mon Oct 31 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.1-1
- Initial building
